Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.fonts
Enum EncodingMode

    java.lang.Object
      java.lang.Enum<EncodingMode>
          org.apache.fop.fonts.EncodingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EncodingMode>

    public enum EncodingMode

extends java.lang.Enum<EncodingMode>

This class enumerates all supported encoding modes for fonts: auto, single-byte and CID.

Enum Constant Summary
`AUTO` Automatic selection of encoding mode.
`CID` CID encoding
`SINGLE_BYTE` Single-byte encoding

Method Summary
`java.lang.String` | `getName()` Returns the encoding mode name.
`static EncodingMode` | `getValue(java.lang.String name)` Returns the `EncodingMode` by name.
`java.lang.String` | `toString()`
`static EncodingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EncodingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final EncodingMode AUTO

  Automatic selection of encoding mode.

### SINGLE_BYTE

    public static final EncodingMode SINGLE_BYTE

  Single-byte encoding

### CID

    public static final EncodingMode CID

  CID encoding

Method Detail

### values

    public static EncodingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EncodingMode c : EncodingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EncodingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns the encoding mode name.

  Returns:
    the encoding mode name

### getValue

    public static EncodingMode getValue(java.lang.String name)

  Returns the `EncodingMode` by name.

  Parameters:
    `name` - the name of the encoding mode to look up
  Returns:
    the encoding mode constant

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<EncodingMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.